### Function

# Gtk TreeRowReference reordered

#### Declaration [src]

    void
    gtk_tree_row_reference_reordered (
      GObject* proxy,
      GtkTreePath* path,
      GtkTreeIter* iter,
      int* new_order
    )

#### Description [src]

Lets a set of row reference created by gtk_tree_row_reference_new_proxy() know that the model emitted the ::rows-reordered signal.

#### Parameters

`proxy` | `GObject*`
| A `GObject`.
| The data is owned by the caller of the function.
`path` | `GtkTreePath`
| The parent path of the reordered signal.
| The data is owned by the caller of the function.
`iter` | `GtkTreeIter`
| The iter pointing to the parent of the reordered.
| The data is owned by the caller of the function.
`new_order` | An array of `int`
| The new order of rows.
| The data is owned by the caller of the function.